{% macro actions(entity, links = {}, show_text = true) %}
  <ul class="menu simple">
    {% if links.list is defined and links.list and is_granted('ROLE_TASK', entity) %}
      <li>
        <a href="{{ path('task')}}" title="{{ 'task.action.list'|trans }}">
          <i class="fa fa-list"></i>
          {% if show_text %}<span>{{ 'task.action.list'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.create is defined and links.create and is_granted('ROLE_TASK_CREATE') %}
      <li>
        <a href="{{ path('task_create')}}" title="{{ 'task.action.create'|trans }}">
          <i class="fa fa-plus"></i>
          {% if show_text %}<span>{{ 'task.action.create'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.read is defined and links.read and is_granted('READ', entity) %}
      <li>
        <a href="{{ path('task_read', {'id': entity.id})}}" title="{{ 'task.action.read'|trans }}">
          <i class="fa fa-eye"></i>
          {% if show_text %}<span>{{ 'task.action.read'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.update is defined and links.update and is_granted('UPDATE', entity) %}
      <li>
        <a href="{{ path('task_update', {'id': entity.id})}}" title="{{ 'task.action.update'|trans }}">
          <i class="fa fa-pencil"></i>
          {% if show_text %}<span>{{ 'task.action.update'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.input is defined and links.input and is_granted('INPUT', entity) %}
      <li>
        <a href="{{ path('task_input', {'id': entity.id})}}" title="{{ 'task.action.input'|trans }}">
          <i class="fa fa-pencil-square-o"></i>
          {% if show_text %}<span>{{ 'task.action.input'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.complete is defined and links.complete and is_granted('COMPLETE', entity) %}
      <li>
        <a href="{{ path('task_complete', {'id': entity.id})}}" title="{{ 'task.action.complete'|trans }}">
          <i class="fa fa-calculator"></i>
          {% if show_text %}<span>{{ 'task.action.complete'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.report is defined and links.report and is_granted('REPORT', entity) %}
      <li>
        <a href="{{ path('task_report', {'id': entity.id})}}" title="{{ 'task.action.report'|trans }}">
          <i class="fa fa-bar-chart"></i>
          {% if show_text %}<span>{{ 'task.action.report'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.fork is defined and links.fork and is_granted('FORK', entity) %}
      <li>
        <a href="{{ path('task_fork', {'id': entity.id})}}" title="{{ 'task.action.fork'|trans }}">
          <i class="fa fa-files-o"></i>
          {% if show_text %}<span>{{ 'task.action.fork'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}

    {% if links.summarize is defined and links.summarize and is_granted('SUMMARIZE', entity) %}
      <li>
        <a href="{{ path('task_summarize', {'id': entity.id})}}" title="{{ 'task.action.summarize'|trans }}">
          <i class="fa fa-flag-checkered"></i>
          {% if show_text %}<span>{{ 'task.action.summarize'|trans }}</span>{% endif %}
        </a>
      </li>
    {% endif %}
  </ul>
{% endmacro %}

{% macro breadcrumbs(entity, state) %}
  <nav role="navigation">
    <ul class="breadcrumbs">
      <li><a href="{{ path('task') }}">{{ 'task.action.list'|trans }}</a></li>
      {% if state == 'create' %}
        <li>{{ 'task.action.create'|trans }}</li>
      {% endif %}
      {% if state == 'read' %}
        <li>{{ 'task.action.read'|trans }}</li>
      {% endif %}
      {% if state == 'update' %}
        <li><a href="{{ path('task_read', {'id': entity.id}) }}">{{ 'task.action.read'|trans }}</a></li>
        <li>{{ 'task.action.update'|trans }}</li>
      {% endif %}
      {% if state == 'input' %}
        <li><a href="{{ path('task_read', {'id': entity.id}) }}">{{ 'task.action.read'|trans }}</a></li>
        <li>{{ 'task.action.input'|trans }}</li>
      {% endif %}
      {% if state == 'complete' %}
        <li><a href="{{ path('task_read', {'id': entity.id}) }}">{{ 'task.action.read'|trans }}</a></li>
        <li>{{ 'task.action.complete'|trans }}</li>
      {% endif %}
      {% if state == 'fork' %}
        <li><a href="{{ path('task_read', {'id': entity.id}) }}">{{ 'task.action.read'|trans }}</a></li>
        <li>{{ 'task.action.fork'|trans }}</li>
      {% endif %}
      {% if state == 'summarize' %}
        <li><a href="{{ path('task_read', {'id': entity.id}) }}">{{ 'task.action.read'|trans }}</a></li>
        <li>{{ 'task.action.summarize'|trans }}</li>
      {% endif %}
    </ul>
  </nav>
{% endmacro %}